Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.neat.training.opp.links
Interface MutateLinkWeight

All Known Implementing Classes:
  MutatePerturbLinkWeight, MutateResetLinkWeight

    public interface MutateLinkWeight

This interface defines various ways that a NEAT network can have its link weights mutated. ----------------------------------------------------------------------------- http://www.cs.ucf.edu/~kstanley/ Encog's NEAT implementation was drawn from the following three Journal Articles. For more complete BibTeX sources, see NEATNetwork.java. Evolving Neural Networks Through Augmenting Topologies Generating Large-Scale Neural Networks Through Discovering Geometric Regularities Automatic feature selection in neuroevolution

Method Summary
`EvolutionaryAlgorithm` | `getTrainer()`
`void` | `init(EvolutionaryAlgorithm theTrainer)` Setup the link mutator.
`void` | `mutateWeight(Random rnd, NEATLinkGene linkGene, double weightRange)` Perform the weight mutation on the specified link.

Method Detail

### getTrainer

    EvolutionaryAlgorithm getTrainer()

  Returns:
    The training class that this mutator is being used with.

### init

    void init(EvolutionaryAlgorithm theTrainer)

  Setup the link mutator.

  Parameters:
    `theTrainer` - The training class that this mutator is used with.

### mutateWeight

    void mutateWeight(Random rnd,
                      NEATLinkGene linkGene,
                      double weightRange)

  Perform the weight mutation on the specified link.

  Parameters:
    `rnd` - A random number generator.
    `linkGene` - The link to mutate.
    `weightRange` - The weight range, weights are between -weightRange and +weightRange.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.